Share via


Private Endpoint Connections - Update By Host Pool

Approve or reject a private endpoint connection.

PUT https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.DesktopVirtualization/hostPools/{hostPoolName}/privateEndpointConnections/{privateEndpointConnectionName}?api-version=2025-10-10

URI Parameters

Name In Required Type Description
hostPoolName
path True

string

minLength: 3
maxLength: 64
pattern: ^[A-Za-z0-9@.\-_ ]*$

The name of the host pool within the specified resource group

privateEndpointConnectionName
path True

string

The name of the private endpoint connection associated with the Azure resource.

resourceGroupName
path True

string

minLength: 1
maxLength: 90

The name of the resource group. The name is case insensitive.

subscriptionId
path True

string (uuid)

The ID of the target subscription. The value must be an UUID.

api-version
query True

string

minLength: 1

The API version to use for this operation.

Request Body

Name Required Type Description
properties.privateLinkServiceConnectionState True

PrivateLinkServiceConnectionState

A collection of information about the state of the connection between service consumer and provider.

properties.privateEndpoint

PrivateEndpoint

The private endpoint resource.

Responses

Name Type Description
200 OK

PrivateEndpointConnectionWithSystemData

Successfully updated.

Other Status Codes

CloudError

Automation error response describing why the operation failed.

Examples

PrivateEndpointConnection_UpdateByHostPool

Sample request

PUT https://management.azure.com/subscriptions/daefabc0-95b4-48b3-b645-8a753a63c4fa/resourceGroups/resourceGroup1/providers/Microsoft.DesktopVirtualization/hostPools/hostPool1/privateEndpointConnections/hostPool1.377103f1-5179-4bdf-8556-4cdd3207cc5b?api-version=2025-10-10

{
  "properties": {
    "privateLinkServiceConnectionState": {
      "status": "Approved",
      "description": "Approved by admin@consoto.com",
      "actionsRequired": "None"
    }
  }
}

Sample response

{
  "name": "hostPool1.377103f1-5179-4bdf-8556-4cdd3207cc5b",
  "id": "/subscriptions/daefabc0-95b4-48b3-b645-8a753a63c4fa/resourceGroups/resourceGroup1/providers/Microsoft.DesktopVirtualization/hostpools/hostPool1/privateEndpointConnections/hostPool1.377103f1-5179-4bdf-8556-4cdd3207cc5b",
  "type": "Microsoft.DesktopVirtualization/hostpools/privateEndpointConnections",
  "systemData": {
    "createdBy": "user1",
    "createdByType": "User",
    "createdAt": "2020-01-01T17:18:19.1234567Z",
    "lastModifiedBy": "user2",
    "lastModifiedByType": "User",
    "lastModifiedAt": "2020-01-02T17:18:19.1234567Z"
  },
  "properties": {
    "provisioningState": "Succeeded",
    "privateEndpoint": {
      "id": "/subscriptions/daefabc0-95b4-48b3-b645-8a753a63c4fa/resourceGroups/resourceGroup2/providers/Microsoft.Network/privateEndpoints/endpointName1"
    },
    "privateLinkServiceConnectionState": {
      "status": "Approved",
      "description": "Approved by admin@consoto.com",
      "actionsRequired": "None"
    }
  }
}

Definitions

Name Description
CloudError

Cloud error object.

CloudErrorProperties

Cloud error object properties.

createdByType

The type of identity that created the resource.

PrivateEndpoint

The private endpoint resource.

PrivateEndpointConnectionProvisioningState

The current provisioning state.

PrivateEndpointConnectionWithSystemData

The Private Endpoint Connection resource.

PrivateEndpointServiceConnectionStatus

The private endpoint connection status.

PrivateLinkServiceConnectionState

A collection of information about the state of the connection between service consumer and provider.

systemData

Metadata pertaining to creation and last modification of the resource.

CloudError

Cloud error object.

Name Type Description
error

CloudErrorProperties

Cloud error object properties.

CloudErrorProperties

Cloud error object properties.

Name Type Description
code

string

Error code

message

string

Error message indicating why the operation failed.

createdByType

The type of identity that created the resource.

Value Description
User
Application
ManagedIdentity
Key

PrivateEndpoint

The private endpoint resource.

Name Type Description
id

string

The ARM identifier for private endpoint.

PrivateEndpointConnectionProvisioningState

The current provisioning state.

Value Description
Succeeded
Creating
Deleting
Failed

PrivateEndpointConnectionWithSystemData

The Private Endpoint Connection resource.

Name Type Description
id

string (arm-id)

Fully qualified resource ID for the resource. E.g. "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}"

name

string

The name of the resource

properties.groupIds

string[]

The group ids for the private endpoint resource.

properties.privateEndpoint

PrivateEndpoint

The private endpoint resource.

properties.privateLinkServiceConnectionState

PrivateLinkServiceConnectionState

A collection of information about the state of the connection between service consumer and provider.

properties.provisioningState

PrivateEndpointConnectionProvisioningState

The provisioning state of the private endpoint connection resource.

systemData

systemData

Azure Resource Manager metadata containing createdBy and modifiedBy information.

type

string

The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts"

PrivateEndpointServiceConnectionStatus

The private endpoint connection status.

Value Description
Pending
Approved
Rejected

PrivateLinkServiceConnectionState

A collection of information about the state of the connection between service consumer and provider.

Name Type Description
actionsRequired

string

A message indicating if changes on the service provider require any updates on the consumer.

description

string

The reason for approval/rejection of the connection.

status

PrivateEndpointServiceConnectionStatus

Indicates whether the connection has been Approved/Rejected/Removed by the owner of the service.

systemData

Metadata pertaining to creation and last modification of the resource.

Name Type Description
createdAt

string (date-time)

The timestamp of resource creation (UTC).

createdBy

string

The identity that created the resource.

createdByType

createdByType

The type of identity that created the resource.

lastModifiedAt

string (date-time)

The timestamp of resource last modification (UTC)

lastModifiedBy

string

The identity that last modified the resource.

lastModifiedByType

createdByType

The type of identity that last modified the resource.